package main

import (
	"fmt"
	"net/http"
	"sap-cds-search/cmd/database"
	"sap-cds-search/cmd/router"
	"sap-cds-search/cmd/search"
	"sap-cds-search/cmd/ui"
)

func main() {
	database.Load()

	err := search.Load()
	if err != nil {
		panic(err)
	}
	ui.Load()
	r := router.Load()

	fmt.Println("Listening on :8080")
	http.ListenAndServe(":8080", r)
}
